// swift-tools-version: 6.3

import PackageDescription

let package = Package(
    name: "Features",
    defaultLocalization: "en",
    platforms: [
        .iOS(.v26),
        .macOS(.v26),
        .visionOS(.v26),
    ],
    products: [
        .library(
            name: "Features",
            targets: [
                "Notifying",
                "Recording",
            ]
        ),
    ],
    targets: [
        .target(
            name: "Notifying",
            path: "Sources/Notifying"
        ),
        .target(
            name: "Recording",
            path: "Sources/Recording"
        ),
        .testTarget(
            name: "NotifyingTests",
            dependencies: ["Notifying"],
            path: "Tests/Notifying"
        ),
        .testTarget(
            name: "RecordingTests",
            dependencies: ["Recording"],
            path: "Tests/Recording"
        ),
    ],
    swiftLanguageModes: [.v6]
)
